org.keycloak.models.mongo.keycloak.entities

## Class MongoRealmEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RealmEntity
    - - org.keycloak.models.mongo.keycloak.entities.MongoRealmEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="realms")
      public class MongoRealmEntity
      extends RealmEntity
      implements MongoIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.RealmEntity

      `adminEventsDetailsEnabled, adminEventsEnabled, otpPolicyAlgorithm, otpPolicyDigits, otpPolicyInitialCounter, otpPolicyLookAheadWindow, otpPolicyPeriod, otpPolicyType, registrationEmailAsUsername`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoRealmEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.

    - ### Methods inherited from class org.keycloak.models.entities.RealmEntity

      `getAccessCodeLifespan, getAccessCodeLifespanLogin, getAccessCodeLifespanUserAction, getAccessTokenLifespan, getAccessTokenLifespanForImplicitFlow, getAccountTheme, getAdminTheme, getAuthenticationFlows, getAuthenticatorConfigs, getBrowserFlow, getBrowserSecurityHeaders, getCertificatePem, getClientAuthenticationFlow, getCodeSecret, getComponentEntities, getDefaultGroups, getDefaultLocale, getDefaultRoles, getDirectGrantFlow, getDisplayName, getDisplayNameHtml, getEmailTheme, getEnabledEventTypes, getEventsExpiration, getEventsListeners, getFailureFactor, getIdentityProviderMappers, getIdentityProviders, getLoginTheme, getMasterAdminClient, getMaxDeltaTimeSeconds, getMaxFailureWaitSeconds, getMinimumQuickLoginWaitSeconds, getName, getNotBefore, getOfflineSessionIdleTimeout, getOtpPolicyAlgorithm, getOtpPolicyDigits, getOtpPolicyInitialCounter, getOtpPolicyLookAheadWindow, getOtpPolicyPeriod, getOtpPolicyType, getPasswordPolicy, getPrivateKeyPem, getPublicKeyPem, getQuickLoginCheckMilliSeconds, getRegistrationFlow, getRequiredActionProviders, getRequiredCredentials, getResetCredentialsFlow, getSmtpConfig, getSocialConfig, getSslRequired, getSsoSessionIdleTimeout, getSsoSessionMaxLifespan, getSupportedLocales, getUserFederationMappers, getUserFederationProviders, getWaitIncrementSeconds, isAdminEventsDetailsEnabled, isAdminEventsEnabled, isBruteForceProtected, isEditUsernameAllowed, isEnabled, isEventsEnabled, isInternationalizationEnabled, isRegistrationAllowed, isRegistrationEmailAsUsername, isRememberMe, isResetPasswordAllowed, isRevokeRefreshToken, isVerifyEmail, setAccessCodeLifespan, setAccessCodeLifespanLogin, setAccessCodeLifespanUserAction, setAccessTokenLifespan, setAccessTokenLifespanForImplicitFlow, setAccountTheme, setAdminEventsDetailsEnabled, setAdminEventsEnabled, setAdminTheme, setAuthenticationFlows, setAuthenticatorConfigs, setBrowserFlow, setBrowserSecurityHeaders, setBruteForceProtected, setCertificatePem, setClientAuthenticationFlow, setCodeSecret, setComponentEntities, setDefaultGroups, setDefaultLocale, setDefaultRoles, setDirectGrantFlow, setDisplayName, setDisplayNameHtml, setEditUsernameAllowed, setEmailTheme, setEnabled, setEnabledEventTypes, setEventsEnabled, setEventsExpiration, setEventsListeners, setFailureFactor, setIdentityProviderMappers, setIdentityProviders, setInternationalizationEnabled, setLoginTheme, setMasterAdminClient, setMaxDeltaTimeSeconds, setMaxFailureWaitSeconds, setMinimumQuickLoginWaitSeconds, setName, setNotBefore, setOfflineSessionIdleTimeout, setOtpPolicyAlgorithm, setOtpPolicyDigits, setOtpPolicyInitialCounter, setOtpPolicyLookAheadWindow, setOtpPolicyPeriod, setOtpPolicyType, setPasswordPolicy, setPrivateKeyPem, setPublicKeyPem, setQuickLoginCheckMilliSeconds, setRegistrationAllowed, setRegistrationEmailAsUsername, setRegistrationFlow, setRememberMe, setRequiredActionProviders, setRequiredCredentials, setResetCredentialsFlow, setResetPasswordAllowed, setRevokeRefreshToken, setSmtpConfig, setSocialConfig, setSslRequired, setSsoSessionIdleTimeout, setSsoSessionMaxLifespan, setSupportedLocales, setUserFederationMappers, setUserFederationProviders, setVerifyEmail, setWaitIncrementSeconds`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoRealmEntity

          public MongoRealmEntity()

  - ### Method Detail

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2016 JBoss by Red Hat. All rights reserved.